Subject: re:[Diffserv] We think this is the MIB edits that we are supposed to do

From: Fred Baker <[email-masked]>
Date: Fri, 04 Aug 2000 20:40:58 -0400

OK, question for the working group. I am not fundamentally for or against 
putting this meter in; if there exists a consensus to do so, fine. I'll let 
the chairs tell me whether the consensus exists or not. Note that this 
needs to be decided quickly as we are trying to put the finishing touches 
on this MIB preparatory to last call.

At 07:09 PM 8/4/00 -0400, Nabil Seddigh wrote:
> >At 06:37 PM 8/3/00 -0400, Nabil Seddigh wrote:
> >>In addition, there is the issue of the actual meterSpecific
> >>entries required for TSWTCM. We could define a new table
> >>similar to diffservTBMeterTable.
> >
> >if you could sketch together a proposal, I would be appreciative.
> >
> >
>
>See below for what it could potentially look like........
>
>--
>Nabil Seddigh
>[email-masked]
>
>
>**********
>
>3.2.3.  Window-Based Meter Table
>
>
>This is included as an example of a common type of meter.  Entries in
>this table are referenced from the RowPointer diffServMeterSpecific
>attributes of meter table entries.  The parameters are represented by a
>
>rate diffServMeterRate and a time window diffservMeterTimeWindow.
>Examples of Window-Based Meters include TSWTCM [RFC2859] and the
>Absolute Rate Meter [MODEL section 5.2.1]
>
>
>--
>-- Window-Based Meter Table
>--
>
>diffServWinMeterTable OBJECT-TYPE
>     SYNTAX       SEQUENCE OF DiffServWinMeterEntry
>     MAX-ACCESS   not-accessible
>     STATUS       current
>     DESCRIPTION
>        "This table enumerates window-based meters that a system may
>         use to police a traffic stream. Example meters include
>         the TSWTCM and the Average Rate Meter. Such meters are
>         modelled here as having a single rate and window.
>         Multiple meter entries can be cascaded using their
>         diffServMeterSucceedNext pointers if a multi-rate meter
>         is required. e.g. for the case of services built using
>         the AF PHB, the packet can be associated with one of three
>         conformance levels. Entries in this table share indexing
>         with a parent diffServMeterEntry although they must be
>         managed (e.g.
>created/deleted) by explicit management
>        action, independently of
>  the associated value of
>        diffServMeterSpecific."
>     REFERENCE
>         "[MODEL] section 5.1.3"
>     ::= { diffServTables ??? }
>
>diffServWinMeterEntry OBJECT-TYPE
>     SYNTAX       DiffServWinMeterEntry
>     MAX-ACCESS   not-accessible
>     STATUS       current
>     DESCRIPTION
>        "An entry that describes a single time-window-based
>         meter, indexed by
>the same variables as a
>         diffServMeterEntry."
>     INDEX { ifIndex, diffServMeterIfDirection,
>             diffServMeterId  }
>     ::= { diffServWinMeterTable 1 }
>
>DiffServWinMeterEntry ::= SEQUENCE  {
>     diffServWinMeterRate             Unsigned32,
>     diffServWinMeterTimeWindow       Unsigned32,
>     diffServWinMeterStatus            RowStatus
>}
>
>diffServWinMeterRate OBJECT-TYPE
>     SYNTAX       Unsigned32
>     UNITS        "kilobits per second"
>     MAX-ACCESS   read-create
>     STATUS       current
>     DESCRIPTION
>        "The meter rate, in kilobits per second (kbps)."
>     ::= { diffServWinMeterEntry 1 }
>
>diffServWinMeterTimeWindow OBJECT-TYPE
>     SYNTAX       Unsigned32
>     UNITS        "milliseconds"
>     MAX-ACCESS   read-create
>     STATUS       current
>     DESCRIPTION
>        "The amount of past history to include in determining
>         the current traffic stream's transmission rate"
>     ::= { diffServWinMeterEntry 2 }
>
>diffServWinMeterStatus OBJECT-TYPE
>     SYNTAX       RowStatus
>     MAX-ACCESS   read-create
>     STATUS       current
>     DESCRIPTION
>        "The RowStatus variable controls the activation,
>        deactivation, or
>  deletion of a meter. Any writable
>        variable may be modified
>  whether the row is
>       active or notInService."
>     ::= { diffServWinMeterEntry 3 }
>
>
>
>     OBJECT diffServWinMeterRate
>     MIN-ACCESS read-only
>     DESCRIPTION
>        "Write access is not required."
>
>     OBJECT diffServWinMeterTimeWindow
>     MIN-ACCESS read-only
>     DESCRIPTION
>        "Write access is not required."
>
>     OBJECT diffServWinMeterStatus
>     MIN-ACCESS read-only
>     DESCRIPTION
>        "Write access is not required."
>
>
>diffServMIBWindowMeterGroup OBJECT-GROUP
>     OBJECTS {
>         diffServWinMeterRate, diffServWinMeterTimeWindow
>         diffServWinMeterStatus
>     }
>     STATUS current
>     DESCRIPTION
>        "The Window Meter Group defines the objects used in
>        describing a single-rate time-window-based meter element."
>     ::= { diffServMIBGroups 
> ???/home/nseddigh/.nwkcmdržw¸(ß€/home/nseddigh/.oldnewsžw¸(

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 07 Aug 2000 13:26:02 -0500

Let's define "quickly" as this week: if this proposal doesn't get
some votes of support this week, we will be forced to conclude
that there is no consensus for it.

   Brian
   diffserv co-chair